<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlatZaAnalitiku: alatZaAnalitiku/src/plotwindow.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">AlatZaAnalitiku
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_32374e165223414b7d047617c9a74980.html">alatZaAnalitiku</a></li><li class="navelem"><a class="el" href="dir_a7d251295564edc7fd08ff39724eea9b.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">plotwindow.h</div></div>
</div><!--header-->
<div class="contents">
<a href="plotwindow_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#ifndef PLOTWINDOW_H</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="preprocessor">#define PLOTWINDOW_H</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span> </div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="preprocessor">#include &lt;QMainWindow&gt;</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="preprocessor">#include &quot;<a class="code" href="dataframe_8h.html">dataframe.h</a>&quot;</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="preprocessor">#include &lt;QComboBox&gt;</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="preprocessor">#include &lt;QtCharts/QChartView&gt;</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="preprocessor">#include &lt;QColorDialog&gt;</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span> </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span> </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>QT_BEGIN_NAMESPACE</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="keyword">namespace </span><a class="code hl_namespace" href="namespace_ui.html">Ui</a> {</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="keyword">class </span><a class="code hl_class" href="class_plot_window.html">PlotWindow</a>;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>}</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>QT_END_NAMESPACE</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="foldopen" id="foldopen00017" data-start="{" data-end="};">
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="class_plot_window.html">   17</a></span><span class="keyword">class </span><a class="code hl_class" href="class_plot_window.html">PlotWindow</a> : <span class="keyword">public</span> QMainWindow</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>{</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    Q_OBJECT</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span><span class="keyword">public</span>:</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    <a class="code hl_function" href="class_plot_window.html#a505b0c982ab88ce356a63f6b935180ce">PlotWindow</a>(QWidget *parent = <span class="keyword">nullptr</span>, QLayout *_parentLayout = <span class="keyword">nullptr</span>);</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    <a class="code hl_function" href="class_plot_window.html#a684ea087a646cbe658940098a25ce150">~PlotWindow</a>();</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="class_plot_window.html#a85d426a0ea78a7720af5f3b72eabd6a2">   24</a></span>    <a class="code hl_class" href="class_data_frame.html">DataFrame</a> <a class="code hl_variable" href="class_plot_window.html#a85d426a0ea78a7720af5f3b72eabd6a2">data</a>;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span> </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span> </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span> </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span><span class="keyword">public</span> slots:</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    <span class="keywordtype">void</span> <a class="code hl_slot" href="class_plot_window.html#ace1a10709fd06efb2111fb8041239047">on_cbGraph_currentTextChanged</a>(<span class="keyword">const</span> QString &amp;arg1);</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    <span class="keywordtype">void</span> <a class="code hl_slot" href="class_plot_window.html#a79c8dbe9d0f08243c762f598511de109">drawDummie</a>(<span class="keyword">const</span> QString &amp;arg1);</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    <span class="keywordtype">void</span> <a class="code hl_slot" href="class_plot_window.html#aa0f63f051eaf790530d5bd6e9b8288f1">drawGraph</a>(<span class="keyword">const</span> QString &amp;arg1);</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    <span class="keywordtype">void</span> <a class="code hl_slot" href="class_plot_window.html#aca1b321f98e93bdd2e6ebbc0d6a5adb9">on_btnMakePlot_clicked</a>();</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    <span class="keywordtype">void</span> <a class="code hl_slot" href="class_plot_window.html#acb894dfd3ef59e231f2728bc683145a4">refreshColor</a>(<span class="keyword">const</span> QColor &amp;color);</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span> </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span><span class="keyword">private</span> slots:</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    <span class="keywordtype">void</span> <a class="code hl_slot" href="class_plot_window.html#aea2b9b0dcd0841cf745e71f93eaa2650">on_btnColor_clicked</a>();</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span> </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span><span class="keyword">private</span>:</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="class_plot_window.html#ab8c045d2794c93656d86147e8f213423">   39</a></span>    Ui::PlotWindow *<a class="code hl_variable" href="class_plot_window.html#ab8c045d2794c93656d86147e8f213423">ui</a>;</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="class_plot_window.html#aa796b6bd9d264abfebc6e4dea5dab12a">   40</a></span>    QComboBox *<a class="code hl_variable" href="class_plot_window.html#aa796b6bd9d264abfebc6e4dea5dab12a">_cbSender</a>;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="class_plot_window.html#a4243d7b5cfbba332cdcb4742d93f4786">   41</a></span>    QLayout *<a class="code hl_variable" href="class_plot_window.html#a4243d7b5cfbba332cdcb4742d93f4786">_parrentLayout</a>;</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno"><a class="line" href="class_plot_window.html#a100e2f1fb6e68394e58c7a0c2e9d4939">   42</a></span>    QChartView *<a class="code hl_variable" href="class_plot_window.html#a100e2f1fb6e68394e58c7a0c2e9d4939">_graph</a>;</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="class_plot_window.html#a9be24d5f41e72571c54f21ade05dddb7">   43</a></span>    QColorDialog *<a class="code hl_variable" href="class_plot_window.html#a9be24d5f41e72571c54f21ade05dddb7">currentChartColor</a>;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="class_plot_window.html#a86482ce971444422973ee4ec6c5d4fc6">   44</a></span>    QWidget *<a class="code hl_variable" href="class_plot_window.html#a86482ce971444422973ee4ec6c5d4fc6">_targetParent</a>;</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span> </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_plot_window.html#a89ef46ed04b24618121d5e68bbb2f572">setupNum</a>();</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_plot_window.html#a2f87b646fe4e735019d41ab44bdc0897">setupCat</a>();</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_plot_window.html#ac5c3563dfa0be43a17e2f67d6752cce2">setupOne</a>();</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_plot_window.html#a8049da626f3dc6f9f2edd6047ab43e2c">setupTwo</a>();</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_plot_window.html#aad17318a7c7d82ae8596320fdee20bcd">setupHideAll</a>();</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    QChart* <a class="code hl_function" href="class_plot_window.html#ad5923c97c5f526c987e64645fc5c0b60">getChartFromConfig</a>();</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>};</div>
</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span><span class="preprocessor">#endif </span><span class="comment">// PLOTWINDOW_H</span></div>
<div class="ttc" id="aclass_data_frame_html"><div class="ttname"><a href="class_data_frame.html">DataFrame</a></div><div class="ttdef"><b>Definition</b> dataframe.h:38</div></div>
<div class="ttc" id="aclass_plot_window_html"><div class="ttname"><a href="class_plot_window.html">PlotWindow</a></div><div class="ttdef"><b>Definition</b> plotwindow.h:18</div></div>
<div class="ttc" id="aclass_plot_window_html_a100e2f1fb6e68394e58c7a0c2e9d4939"><div class="ttname"><a href="class_plot_window.html#a100e2f1fb6e68394e58c7a0c2e9d4939">PlotWindow::_graph</a></div><div class="ttdeci">QChartView * _graph</div><div class="ttdef"><b>Definition</b> plotwindow.h:42</div></div>
<div class="ttc" id="aclass_plot_window_html_a2f87b646fe4e735019d41ab44bdc0897"><div class="ttname"><a href="class_plot_window.html#a2f87b646fe4e735019d41ab44bdc0897">PlotWindow::setupCat</a></div><div class="ttdeci">void setupCat()</div><div class="ttdef"><b>Definition</b> plotwindow.cpp:134</div></div>
<div class="ttc" id="aclass_plot_window_html_a4243d7b5cfbba332cdcb4742d93f4786"><div class="ttname"><a href="class_plot_window.html#a4243d7b5cfbba332cdcb4742d93f4786">PlotWindow::_parrentLayout</a></div><div class="ttdeci">QLayout * _parrentLayout</div><div class="ttdef"><b>Definition</b> plotwindow.h:41</div></div>
<div class="ttc" id="aclass_plot_window_html_a505b0c982ab88ce356a63f6b935180ce"><div class="ttname"><a href="class_plot_window.html#a505b0c982ab88ce356a63f6b935180ce">PlotWindow::PlotWindow</a></div><div class="ttdeci">PlotWindow(QWidget *parent=nullptr, QLayout *_parentLayout=nullptr)</div><div class="ttdef"><b>Definition</b> plotwindow.cpp:45</div></div>
<div class="ttc" id="aclass_plot_window_html_a684ea087a646cbe658940098a25ce150"><div class="ttname"><a href="class_plot_window.html#a684ea087a646cbe658940098a25ce150">PlotWindow::~PlotWindow</a></div><div class="ttdeci">~PlotWindow()</div><div class="ttdef"><b>Definition</b> plotwindow.cpp:85</div></div>
<div class="ttc" id="aclass_plot_window_html_a79c8dbe9d0f08243c762f598511de109"><div class="ttname"><a href="class_plot_window.html#a79c8dbe9d0f08243c762f598511de109">PlotWindow::drawDummie</a></div><div class="ttdeci">void drawDummie(const QString &amp;arg1)</div><div class="ttdef"><b>Definition</b> plotwindow.cpp:207</div></div>
<div class="ttc" id="aclass_plot_window_html_a8049da626f3dc6f9f2edd6047ab43e2c"><div class="ttname"><a href="class_plot_window.html#a8049da626f3dc6f9f2edd6047ab43e2c">PlotWindow::setupTwo</a></div><div class="ttdeci">void setupTwo()</div><div class="ttdef"><b>Definition</b> plotwindow.cpp:112</div></div>
<div class="ttc" id="aclass_plot_window_html_a85d426a0ea78a7720af5f3b72eabd6a2"><div class="ttname"><a href="class_plot_window.html#a85d426a0ea78a7720af5f3b72eabd6a2">PlotWindow::data</a></div><div class="ttdeci">DataFrame data</div><div class="ttdef"><b>Definition</b> plotwindow.h:24</div></div>
<div class="ttc" id="aclass_plot_window_html_a86482ce971444422973ee4ec6c5d4fc6"><div class="ttname"><a href="class_plot_window.html#a86482ce971444422973ee4ec6c5d4fc6">PlotWindow::_targetParent</a></div><div class="ttdeci">QWidget * _targetParent</div><div class="ttdef"><b>Definition</b> plotwindow.h:44</div></div>
<div class="ttc" id="aclass_plot_window_html_a89ef46ed04b24618121d5e68bbb2f572"><div class="ttname"><a href="class_plot_window.html#a89ef46ed04b24618121d5e68bbb2f572">PlotWindow::setupNum</a></div><div class="ttdeci">void setupNum()</div><div class="ttdef"><b>Definition</b> plotwindow.cpp:122</div></div>
<div class="ttc" id="aclass_plot_window_html_a9be24d5f41e72571c54f21ade05dddb7"><div class="ttname"><a href="class_plot_window.html#a9be24d5f41e72571c54f21ade05dddb7">PlotWindow::currentChartColor</a></div><div class="ttdeci">QColorDialog * currentChartColor</div><div class="ttdef"><b>Definition</b> plotwindow.h:43</div></div>
<div class="ttc" id="aclass_plot_window_html_aa0f63f051eaf790530d5bd6e9b8288f1"><div class="ttname"><a href="class_plot_window.html#aa0f63f051eaf790530d5bd6e9b8288f1">PlotWindow::drawGraph</a></div><div class="ttdeci">void drawGraph(const QString &amp;arg1)</div><div class="ttdef"><b>Definition</b> plotwindow.cpp:231</div></div>
<div class="ttc" id="aclass_plot_window_html_aa796b6bd9d264abfebc6e4dea5dab12a"><div class="ttname"><a href="class_plot_window.html#aa796b6bd9d264abfebc6e4dea5dab12a">PlotWindow::_cbSender</a></div><div class="ttdeci">QComboBox * _cbSender</div><div class="ttdef"><b>Definition</b> plotwindow.h:40</div></div>
<div class="ttc" id="aclass_plot_window_html_aad17318a7c7d82ae8596320fdee20bcd"><div class="ttname"><a href="class_plot_window.html#aad17318a7c7d82ae8596320fdee20bcd">PlotWindow::setupHideAll</a></div><div class="ttdeci">void setupHideAll()</div><div class="ttdef"><b>Definition</b> plotwindow.cpp:91</div></div>
<div class="ttc" id="aclass_plot_window_html_ab8c045d2794c93656d86147e8f213423"><div class="ttname"><a href="class_plot_window.html#ab8c045d2794c93656d86147e8f213423">PlotWindow::ui</a></div><div class="ttdeci">Ui::PlotWindow * ui</div><div class="ttdef"><b>Definition</b> plotwindow.h:39</div></div>
<div class="ttc" id="aclass_plot_window_html_ac5c3563dfa0be43a17e2f67d6752cce2"><div class="ttname"><a href="class_plot_window.html#ac5c3563dfa0be43a17e2f67d6752cce2">PlotWindow::setupOne</a></div><div class="ttdeci">void setupOne()</div><div class="ttdef"><b>Definition</b> plotwindow.cpp:102</div></div>
<div class="ttc" id="aclass_plot_window_html_aca1b321f98e93bdd2e6ebbc0d6a5adb9"><div class="ttname"><a href="class_plot_window.html#aca1b321f98e93bdd2e6ebbc0d6a5adb9">PlotWindow::on_btnMakePlot_clicked</a></div><div class="ttdeci">void on_btnMakePlot_clicked()</div><div class="ttdef"><b>Definition</b> plotwindow.cpp:242</div></div>
<div class="ttc" id="aclass_plot_window_html_acb894dfd3ef59e231f2728bc683145a4"><div class="ttname"><a href="class_plot_window.html#acb894dfd3ef59e231f2728bc683145a4">PlotWindow::refreshColor</a></div><div class="ttdeci">void refreshColor(const QColor &amp;color)</div><div class="ttdef"><b>Definition</b> plotwindow.cpp:197</div></div>
<div class="ttc" id="aclass_plot_window_html_ace1a10709fd06efb2111fb8041239047"><div class="ttname"><a href="class_plot_window.html#ace1a10709fd06efb2111fb8041239047">PlotWindow::on_cbGraph_currentTextChanged</a></div><div class="ttdeci">void on_cbGraph_currentTextChanged(const QString &amp;arg1)</div><div class="ttdef"><b>Definition</b> plotwindow.cpp:141</div></div>
<div class="ttc" id="aclass_plot_window_html_ad5923c97c5f526c987e64645fc5c0b60"><div class="ttname"><a href="class_plot_window.html#ad5923c97c5f526c987e64645fc5c0b60">PlotWindow::getChartFromConfig</a></div><div class="ttdeci">QChart * getChartFromConfig()</div><div class="ttdef"><b>Definition</b> plotwindow.cpp:162</div></div>
<div class="ttc" id="aclass_plot_window_html_aea2b9b0dcd0841cf745e71f93eaa2650"><div class="ttname"><a href="class_plot_window.html#aea2b9b0dcd0841cf745e71f93eaa2650">PlotWindow::on_btnColor_clicked</a></div><div class="ttdeci">void on_btnColor_clicked()</div><div class="ttdef"><b>Definition</b> plotwindow.cpp:263</div></div>
<div class="ttc" id="adataframe_8h_html"><div class="ttname"><a href="dataframe_8h.html">dataframe.h</a></div></div>
<div class="ttc" id="anamespace_ui_html"><div class="ttname"><a href="namespace_ui.html">Ui</a></div><div class="ttdef"><b>Definition</b> dynamicui.h:13</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0
</small></address>
</body>
</html>
